Package biotransformer.transformation

## Enum MetabolicPathway.MPathwayName

- java.lang.Object
- - java.lang.Enum<MetabolicPathway.MPathwayName>
  - - biotransformer.transformation.MetabolicPathway.MPathwayName

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<MetabolicPathway.MPathwayName>`

Enclosing class:
  MetabolicPathway

    public static enum MetabolicPathway.MPathwayName
    extends java.lang.Enum<MetabolicPathway.MPathwayName>

### Enum Constant Summary

Enum Constants
`BILE_ACID_METABOLISM`
`BIOSYNTHESIS_OF_AMINO_ACIDS`
`BIOSYNTHESIS_OF_UNSATURATED_FATTY_ACIDS`
`ETHER_LIPID_METABOLISM`
`FATTY_ACID_DEGRADATION`
`FATTY_ACID_ELONGATION`
`GLYCEROLIPID_METABOLISM`
`GLYCEROPHOSPHOLIPID_METABOLISM`
`INOSITOL_PHOSPHATE_METABOLISM`
`MICROBIAL_POLYPHENOL_METABOLISM`
`PRIMARY_BILE_ACID_BIOSYNTHESIS`
`SECONDARY_BILE_ACID_BIOSYNTHESIS`
`SPHINGOLIPID_METABOLISM`
`UNSATURATED_FATTY_ACID_BIOSYNTHESIS`

### Method Summary

All Methods Static Methods Concrete Methods
`static MetabolicPathway.MPathwayName` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MetabolicPathway.MPathwayName[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BIOSYNTHESIS_OF_UNSATURATED_FATTY_ACIDS

    public static final MetabolicPathway.MPathwayName BIOSYNTHESIS_OF_UNSATURATED_FATTY_ACIDS

#### BIOSYNTHESIS_OF_AMINO_ACIDS

    public static final MetabolicPathway.MPathwayName BIOSYNTHESIS_OF_AMINO_ACIDS

#### PRIMARY_BILE_ACID_BIOSYNTHESIS

    public static final MetabolicPathway.MPathwayName PRIMARY_BILE_ACID_BIOSYNTHESIS

#### SECONDARY_BILE_ACID_BIOSYNTHESIS

    public static final MetabolicPathway.MPathwayName SECONDARY_BILE_ACID_BIOSYNTHESIS

#### FATTY_ACID_DEGRADATION

    public static final MetabolicPathway.MPathwayName FATTY_ACID_DEGRADATION

#### FATTY_ACID_ELONGATION

    public static final MetabolicPathway.MPathwayName FATTY_ACID_ELONGATION

#### ETHER_LIPID_METABOLISM

    public static final MetabolicPathway.MPathwayName ETHER_LIPID_METABOLISM

#### GLYCEROLIPID_METABOLISM

    public static final MetabolicPathway.MPathwayName GLYCEROLIPID_METABOLISM

#### GLYCEROPHOSPHOLIPID_METABOLISM

    public static final MetabolicPathway.MPathwayName GLYCEROPHOSPHOLIPID_METABOLISM

#### SPHINGOLIPID_METABOLISM

    public static final MetabolicPathway.MPathwayName SPHINGOLIPID_METABOLISM

#### UNSATURATED_FATTY_ACID_BIOSYNTHESIS

    public static final MetabolicPathway.MPathwayName UNSATURATED_FATTY_ACID_BIOSYNTHESIS

#### INOSITOL_PHOSPHATE_METABOLISM

    public static final MetabolicPathway.MPathwayName INOSITOL_PHOSPHATE_METABOLISM

#### MICROBIAL_POLYPHENOL_METABOLISM

    public static final MetabolicPathway.MPathwayName MICROBIAL_POLYPHENOL_METABOLISM

#### BILE_ACID_METABOLISM

    public static final MetabolicPathway.MPathwayName BILE_ACID_METABOLISM

### Method Detail

#### values

    public static MetabolicPathway.MPathwayName[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (MetabolicPathway.MPathwayName c : MetabolicPathway.MPathwayName.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static MetabolicPathway.MPathwayName valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null